
Redmine - Defect #17928

Redmine Limitations (too many groups?)

2014-09-22 15:44 - Jonathan Heng

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.5.2

Description

When trying to access the groups page (http://servername/redmine/groups), the page would take about a minute to load.  Thereafter

we would receive the following error:

Proxy Error

The proxy server received an invalid response from an upstream server.

The proxy server could not handle the request GET /redmine/groups.

Reason: Error reading from remote server

 We increased the keep-alive/timeout values in Apache (we assumed this was related to timeouts occurring because of the

considerable amount of groups we have).  Now we receive a different error:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

 I've attached an excerpt from our error log.

Please note we have a considerable number of groups in Redmine (over 30,000).  Is the page failing to load because of an

application or database limitation?

History

#1 - 2014-09-22 15:47 - Toshi MARUYAMA

- Category deleted (Administration)

- Status changed from New to Needs feedback

It is Apache log, not Redmine.

#2 - 2014-09-22 16:24 - Jonathan Heng

Thanks for the correction.  Yes, this is an apache log.  Does anyone know if this is an Apache limitation?  Or is it a Redmine limitation?

#3 - 2014-09-23 04:00 - Toshi MARUYAMA

See Redmine log.

#4 - 2014-10-04 11:42 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

If you have many groups, this problem may be fixed by r13149 (included in forthcoming 2.6.0), see #16905. Before the fix, all users from all groups

were loaded when displaying the group list.
http://servername/redmine/groups
https://www.redmine.org/projects/redmine/repository/svn/revisions/13149
https://www.redmine.org/issues/16905


#5 - 2015-04-14 19:32 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Files

error2.log 15.1 KB 2014-09-22 Jonathan Heng
